org.apache.solr.client.solrj.cloud.autoscaling

## Class ReplicaInfo

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.ReplicaInfo

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class ReplicaInfo
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`ReplicaInfo(String coll, String shard, Replica r, Map<String,Object> vals)`
`ReplicaInfo(String name, String core, String coll, String shard, Replica.Type type, String node, Map<String,Object> vals)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCollection()`
`String` `getCore()`
`String` `getName()`
`String` `getNode()`
`String` `getShard()`
`Replica.State` `getState()`
`Replica.Type` `getType()`
`Object` `getVariable(String name)`
`Map<String,Object>` `getVariables()`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Constructor Detail

#### ReplicaInfo

    public ReplicaInfo(String coll,
                       String shard,
                       Replica r,
                       Map<String,Object> vals)

#### ReplicaInfo

    public ReplicaInfo(String name,
                       String core,
                       String coll,
                       String shard,
                       Replica.Type type,
                       String node,
                       Map<String,Object> vals)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getName

    public String getName()

#### getCore

    public String getCore()

#### getCollection

    public String getCollection()

#### getShard

    public String getShard()

#### getType

    public Replica.Type getType()

#### getState

    public Replica.State getState()

#### getVariables

    public Map<String,Object> getVariables()

#### getVariable

    public Object getVariable(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getNode

    public String getNode()